Read uom-values
curl --request GET \
--url https://wisepim.com/api/public/v1/uom-values/{resource_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/uom-values/{resource_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/uom-values/{resource_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": "<string>",
"name": "<string>",
"symbol": "<string>",
"localized_names": "<unknown>",
"localized_symbols": "<unknown>",
"conversion_factor": "<string>",
"is_base_unit": true,
"sort_order": 123,
"code_set": 123,
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Read uom-values
GET /uom-values/. Required scopes: uom-values:read.
GET
/
api
/
public
/
v1
/
uom-values
/
{resource_id}
Read uom-values
curl --request GET \
--url https://wisepim.com/api/public/v1/uom-values/{resource_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/uom-values/{resource_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/uom-values/{resource_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": "<string>",
"name": "<string>",
"symbol": "<string>",
"localized_names": "<unknown>",
"localized_symbols": "<unknown>",
"conversion_factor": "<string>",
"is_base_unit": true,
"sort_order": 123,
"code_set": 123,
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Path Parameters
Response
OK
Unit code (e.g., 'mm', 'cm', 'in')
Maximum string length:
20Default name of the unit (e.g., 'Millimeter', 'Centimeter')
Maximum string length:
100Display symbol (e.g., 'mm', 'cm', '"')
Maximum string length:
10Localized unit names keyed by locale code (e.g., {'en': 'Inch', 'nl': 'Duim'})
Localized symbols keyed by locale code (e.g., {'en': 'in', 'de': 'Zoll'})
Conversion factor relative to base unit. Value in this unit * factor = value in base unit
Pattern:
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Whether this is the base unit (conversion_factor should be 1.0)
Display order within the code set
The UOM set this unit belongs to

